Revokes database access from the users of one email domain whose organization's identity provider has either marked as inactive, or never reported status at all.
This job is the first step in activating automatic-provisioning: it performs a full check of all users with the given email domain. If successfully, automatic-deprovisioning is enabled, and from that moment only users reported as deactivated by the identity provider will be deprovisioned.
The job produces an Excel report of users whose access has been revoked. It is also possible to run the job in "dry run" mode, which produces the same report but does not actually deprovision any users.
Starting the job
This operation is a long-running batch job. You must first submit a request to start the job.
POST https://www.activityinfo.org/resources/jobs
Request body
| object | |||
| type | string | The type of the job to start. Must be "deprovisionDomainUsers" |
required |
| descriptor | object | required | |
| domain | string | The email domain to sweep. | required |
| dryRun | boolean | True if this is a dry run, false otherwise. | required |
Getting the job status
The result of this first call provides a job id that you can use to poll for status:
GET https://www.activityinfo.org/resources/jobs/{jobId}
curl -X GET https://www.activityinfo.org/resources/jobs/ahBlfmFjdGl2aXR5aW5mb2V1chALEgNKb2IYgICAzd390wkM \
-u anything:APITOKEN \
-H 'Content-type: application/json' \
--data-binary @- << EOF
{
"id": "ahBlfmFjdGl2aXR5aW5mb2V1chALEgNKb2IYgICAzd390wkM",
"state": "STARTED"
}
EOF
Successful result
When the job state transitions to "COMPLETED", the status object will include the result:
| object | |||
| id | string | The id of the job | required |
| state | string | "COMPLETED" |
required |
| result | object | required | |
| filename | string | The filename of the export. | required |
| downloadUrl | string | The URL that can be used to download the result. | required |
| exportId | string | The export id, which together with the job id identifies the generated file. | required |